  option explicit
  const Hidden = 2
  const System = 4

  const TemporaryFolder = 2
  const SystemFolder = 1 
  const WindowsFolder = 0

  const ForReading = 1
  const ForWriting = 2
  const TristateFalse = 0                   'ascii
  const TristateTrue = -1                   'unicode 
  const TristateUseDefault = -2

  const MAX_PATH = 260

  Dim WSHShell, objArgs, i, root
  Dim fso
  dim level
  dim result, ts, mht
  Dim notepad
  dim tmp, fname, scname, drvname
  dim rec
  dim title

  Set WSHShell = WScript.CreateObject("WScript.Shell")
  Set fso = CreateObject("Scripting.FileSystemObject")
  drvname = fso.getdrivename(WSHShell.CurrentDirectory)
  root = WSHShell.CurrentDirectory

' ' '   root =  Left(Wscript.ScriptFullName, Instr(wscript.scriptfullname, Wscript.ScriptName) - 2) 
	
'  wscript.echo fso.GetAbsolutePathName(".")

  if root = "" then      
    msgbox "No Folder selected", vbcritical
    wscript.quit
  end if

'  scname = GetName   'get script name minus extension
'  tmp = fso.GetSpecialFolder(TemporaryFolder)

  fname = fso.Buildpath(drvname, "directory.txt")

  WSHShell.popup "Building directory file" & vbcrlf & fname, 5, "Please Wait",  vbInformation   

'  if fso.FileExists(fname) then
'    fso.DeleteFile(fname)
'  end if  
  fso.CreateTextFile fname,true,false         'overwrite, ascii(not unicode)
  Set result = fso.GetFile(fname)
  Set ts = result.OpenAsTextStream(ForWriting, TristateFalse)

  level = 0
  ScanRecurs root            'fso.GetFolder(root).shortname

  ts.Close

  WSHShell.Run "sort.exe " & fname & " /o "  & fname, 4, True      'True = wait

  WSHShell.Run "notepad.exe " & fname, 1, True      'True = wait

  on error resume next
'  fso.deletefile(fname)
 
  set fso = nothing
  WScript.Quit
'- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Public Sub ScanRecurs(path)
  Dim fldrs 
  Dim subfldr 
  Dim fldr
  Dim fils
  Dim fil
  dim rec
  dim extension
  dim disp
  dim rc 
  dim link
  
  on error resume next
  If fso.FolderExists(path) = False Then
    Exit Sub
  End If
  Set fldr = fso.GetFolder(path)
  level = level + 1
  Set fils = fldr.Files

  For Each fil In fils
    extension = ucase(fso.GetExtensionName(fil.path))
    select case extension
      case "MP3", "WMA"
'         title = fso.getbasename(fil.path) 
'         ts.write fil.shortname & vbtab & snpath & vbtab & fso.getfilename(fil.path)  & vbtab & fil.size & vbtab & fil.DateLastModified &  vbcrlf
         ts.write fil.shortname & vbtab & mid(fldr.shortpath, 3) & vbtab & fso.getfilename(fil.path)  & vbcrlf
    end select
  Next
  
  Set fldrs = fldr.SubFolders
  For Each subfldr In fldrs
    ScanRecurs subfldr.path
  Next

  level = level - 1
End Sub

Public Function GetName()
  dim i
  dim nm 
  dim retval
  dim tm
'  nm = ucase(wscript.scriptname)
'  i = instr(nm, ".")
'  if i > 0 then
'    retval = mid(nm, 1, i-1)
'  else
'    retval = nm
'  end if
  retval = "LD" 
  tm = split(timer, ".", 2)
  retval = retval & datepart("y", now) & tm(0)
  GetName = retval

End Function


